Commit c1d88585 authored by Jan Kiene's avatar Jan Kiene
Browse files

remove temporary parts in CI file

parent c0f3366e
Loading
Loading
Loading
Loading
Loading
+11 −12
Original line number Diff line number Diff line
@@ -117,8 +117,8 @@ stages:
  - python3 tests/create_short_testvectors.py
  # create references
  - exit_code=0
  - python3 -m pytest $TEST_SUITE -v -k "stereo and MONO" --update_ref 1 -m create_ref --create_ref -n auto || exit_code=$? 
  - python3 -m pytest $TEST_SUITE -v -k "stereo and MONO" --update_ref 1 -m create_ref_part2 -n auto || exit_code=$? # Catch exit code to prevent halt in case this step produces zero tests
  - python3 -m pytest $TEST_SUITE -v --update_ref 1 -m create_ref --create_ref -n auto || exit_code=$? 
  - python3 -m pytest $TEST_SUITE -v --update_ref 1 -m create_ref_part2 -n auto || exit_code=$? # Catch exit code to prevent halt in case this step produces zero tests


.update-scripts-repo: &update-scripts-repo
@@ -235,21 +235,20 @@ stages:

    ### run pytest
    - exit_code=0
    - python3 -m pytest $TEST_SUITE -v -k "stereo and MONO" --create_cut --html=report.html --self-contained-html --junit-xml=report-junit.xml --mld --dut_encoder_path $DUT_ENCODER_PATH --dut_decoder_path $DUT_DECODER_PATH -n auto --testcase_timeout $testcase_timeout || exit_code=$?
    - python3 -m pytest $TEST_SUITE -v --create_cut --html=report.html --self-contained-html --junit-xml=report-junit.xml --mld --dut_encoder_path $DUT_ENCODER_PATH --dut_decoder_path $DUT_DECODER_PATH -n auto --testcase_timeout $testcase_timeout || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - python3 scripts/parse_mld_xml.py report-junit.xml mld.csv

    # TODO change back to this - need to get new version from branch so that the project id argument is there
    #- if [ $UPDATE_PAGES != "" ]; then python3 ci/get_id_of_last_job_occurence.py $CI_DEFAULT_BRANCH $CI_JOB_NAME $CI_PROJECT_ID; echo "Job ID - $CI_JOB_ID"; fi
    - if [ $UPDATE_PAGES != "" ]; then wget https://forge.3gpp.org/rep/ivas-codec-pc/ivas-codec/-/raw/3c1b6994912cbe6e3c5463b02a1a6c970f449b96/ci/get_id_of_last_job_occurence.py; id_previous=$(python3 get_id_of_last_job_occurence.py $CI_DEFAULT_BRANCH $CI_JOB_NAME $CI_PROJECT_ID); echo "Job ID from variables - $CI_JOB_ID, Job ID from script - $id_previous"; fi
    - if [ $UPDATE_PAGES != "" ]; then
    -    id_previous=$(python3 get_id_of_last_job_occurence.py $CI_DEFAULT_BRANCH $CI_JOB_NAME $CI_PROJECT_ID)
    -    echo "Job ID from variables - $CI_JOB_ID, Job ID from script - $id_previous"
    -    curl --request GET "https://forge.3gpp.org/rep/api/v4/projects/$CI_PROJECT_ID/jobs/$id_previous/artifacts" --output artifacts.zip
    -    unzip artifacts.zip -d previous_artifacts
    # This wildcard thingy relies on only one csv file being present per job
    -    file_previous="previous_artifacts/mld--ivas-pytest-mld-long-dec-$id_previous--sha-*.csv"
    # TODO: remove once that is merged to basop-ci-branch
    - wget https://forge.3gpp.org/rep/ivas-codec-pc/ivas-codec/-/raw/basop-ci/add-project-id-as-argument-for-get_id_of_last_job_occurence/ci/basop-pages/create_report_pages.py
    - python3 create_report_pages.py $CI_JOB_NAME-index.html mld.csv $file_previous $CI_JOB_ID $id_previous $CI_JOB_NAME
    -    python3 ci/basop-pages/create_report_pages.py $CI_JOB_NAME-index.html mld.csv $file_previous $CI_JOB_ID $id_previous $CI_JOB_NAME
    - fi

    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - if [ $exit_code -eq 1 ]; then echo "Differences encountered"; exit $EXIT_CODE_NON_BE; fi